1.0.0, ADTF 3.0.0
Support Level: 2nd Level Topic: ADTF3SupportTB::Common
Description

Supportanfrage

Hallo Support-Team,

leider funktioniert die im November 2016 releaste "ADTF 3 Support Toolbox 1.0.0" für ADTF 2.14.0 nicht mehr.

Startet man das mitgelieferte Demo, crashen sowohl ADTF 2.14.0 als auch ADTF 3.0.0 aus unterschiedlichen Gründen !

--> siehe meine beiden Screenshots im Anhang:  adtf2_exception.PNG + adtf3_exception.PNG

==> Vorgehen zum Reproduzieren:  (und so hatte es zur Release der TB in Zusammenhang mit der ADTFv3_Beta_build4411 ja

auch funktioniert gehabt)

1) ich habe wie im SDK der Toolbox beschrieben, das ADTFv3.0.0\bin\adtf_control.adtfsettings  um einen neuen Launcher namens

"adtf2" erweitert:

<launcher>

<name>adtf2</name>

<executable>c:/DEV/SBX/2140x64/addons/adtf3-support-toolbox/bin/adtf2_launcher

-launcher=c:/DEV/SBX/2140x64/bin/adtf_launcher</executable>

<workingdirectory></workingdirectory>

</launcher>

2) danach hab ich meine PATH Variabe um den Pfad zu "ADTFv3.0.0\bin\" erweitert (damit die adtf_control.exe gefunden werden

kann, ...bei mir:  c:\DEV\SBX\300x64\bin\)

3) dann habe ich die Batch aus dem mitgelieferten Example der Toolbox gestartet:

bei mir c:\DEV\SBX\2140x64\addons\adtf3-support-toolbox\src\examples\sessions\demo\run.bat

--> Folge: beide ADTF-Instanzen crashen aus unterschiedlichen Gründen, siehe die beiden Screenshots im Anhang.

...welcher Crash zu welchem ADTF gehört, konnte ich herausfinden, indem ich in weiteren Versuchen in der run.bat die 2 Zeilen

wechselseitig auskommentiert habe:

-> also zuerst wird die ADTF v3 session gestartet:         adtf_control -launcher=adtf -url=http://localhost:8001

-l=adtf3/adtf3_loopback.adtfsession -run -e quit

-> und danach wird die ADTF v2 session per "wrapper" gestartet:      adtf_control -launcher=adtf2 -url=http://localhost:8000

-l=adtf2/adtf2.adtfsession -run

Bitte die Crashes untersuchen und bekannt geben, wann mit einer korrigierten Toolbox-Version zu rechnen ist.

Danke,
Gruß

Uwe Schreiber

Lösung

Bereits Known Problem, muss mit ADTF 3 Support TB 2.0.0 gelöst werden

History

#1 - 2017-03-15 15:53 - hidden

- Status changed from New to In Progress

- Topic set to ADTF3SupportTB::UDP

- Customer set to BMW

- Department set to SUPPORT

- Affected Products ADTF 3 Support Toolbox 1.0.0, ADTF 3.0.0 added

- Platform Windows 7 64bit added

#2 - 2017-03-15 16:31 - hidden

Hallo Uwe,

das Problem kann ich bestätigen.

Es gab in der finalen ADTF 3.0.0 Version nochmals Änderungen welche leider dazu führten das die ADTF3 Support Toolbox 1.0.0 inkompatibel

wurde.

Das gleiche gilt für die ADTF Device Toolbox 3.0 Beta 1.

Das Problem ist inzwischen bekannt und bereits in Arbeit.

Eine angepasste ADTF3 Support Toolbox soll sehr kurzfristig released werden.

Leider habe ich noch kein genaues Datum. Es soll aber innerhalb der nächsten Wochen fertig zum Release sein.

#3 - 2017-03-17 09:32 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic changed from ADTF3SupportTB::UDP to ADTF3SupportTB::Common

- Resolution set to Known Problem

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/36544

- Affected Products ADTF 2.14.0 added

Können wir das Ticket public machen und abschließen ?

Ich habe die Support TB 2.0 auf Ende März geplant, am besten zusammen mit einer komplatiblen BETA des DevTB 3.0 Standes, eine ADTF 3.0.1

soll ebenfalls in den nächsten Wochen fertig werden.

#4 - 2017-03-17 10:00 - hidden

Hallo Florian,

ja, kannst du schließen und auch public machen.

Gruß Uwe

#5 - 2017-03-17 10:02 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#6 - 2017-03-17 10:02 - hidden

- Status changed from To Be Closed to Closed

Files

adtf2_exception.PNG 49.1 KB 2017-03-15 hidden

adtf3_exception.PNG 34.7 KB 2017-03-15 hidden
